import "./tasks/featureCounts.wdl" as featureCounts


workflow {{ project_name }} {
    String sample_id
    File bam_file	
    File lnc_gtf_file
    String subread_docker
    String subread_cluster	

	call featureCounts.featureCounts as featureCounts {
		input: 
		sample_id = sample_id,
		bam_file = bam_file,
		lnc_gtf_file = lnc_gtf_file,
		docker = subread_docker,
		cluster = subread_cluster
	}
}